Associate a collection transaction with a verified customer.
Important: API card collections cannot be updated with this endpoint. Required scope: collection:create.
Authorization
oauth2ClientCredentials collection:createUse your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
In: header
Scope: collection:create
Header Parameters
Content type header.
"application/json"Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl --request POST \ --url 'https://example.com/api/external/collection/attach-customer' \ --header 'Content-Type: application/json' \ --data '{ "customer_id": "9d4c4ec5-59ea-4130-bf8a-6a5edec401ee", "transaction_id": "fb87c0f8-31e3-46f3-b0d3-1ff2618565bc"}'{ "message": "Transaction updated successfully."}POSTInitiate a collection
Create a card collection request for a business wallet. Card collections require a verified customer and card details, and may not be enabled for every business. Customer attachment after creation is not supported for API card collections. Required scope: `collection:create`.
POSTAccept Interac money request
Accept an Interac transfer into your business wallet. Required scope: `collection:interac:accept`.